summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEskil Abrahamsen Blomfeldt <eskil.abrahamsen-blomfeldt@qt.io>2018-04-05 12:26:53 +0200
committerEskil Abrahamsen Blomfeldt <eskil.abrahamsen-blomfeldt@qt.io>2018-04-05 14:44:48 +0000
commit3c23dc484635e4c3340461316454be50fe11e28f (patch)
treeeffcc7e99e13f93e0068fe497d7801f7f9408c1a
parent9e74a1e5b7cf5f487b77068565ba7c0671b4dcd0 (diff)
Don't require Qt Android Extras for Qt Purchasing
Qt Purchasing is supported on other platforms than Android, so move qtandroidextras from depends to recommends instead. Task-number: QTBUG-67318 Change-Id: I9c70574dd9b45579485b2640f7daeebdc6c2bc63 Reviewed-by: Jędrzej Nowacki <jedrzej.nowacki@qt.io> Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@qt.io>
-rw-r--r--.gitmodules4
1 files changed, 2 insertions, 2 deletions
diff --git a/.gitmodules b/.gitmodules
index ce89d72b..565896cc 100644
--- a/.gitmodules
+++ b/.gitmodules
@@ -249,8 +249,8 @@
branch = 5.11
status = addon
[submodule "qtpurchasing"]
- depends = qtbase qtandroidextras
- recommends = qtdeclarative
+ depends = qtbase
+ recommends = qtdeclarative qtandroidextras
path = qtpurchasing
url = ../qtpurchasing.git
branch = 5.11